Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AnySeqImpl.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AnySeqImpl.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AnySeqImpl.java	(revision 57158)
@@ -1,23 +1,28 @@
 package eu.dnetlib.clients.index.model.impl;
 
-import java.util.*;
-import java.util.stream.Collectors;
+import java.util.ArrayList;
+import java.util.Collection;
+import java.util.Date;
+import java.util.Iterator;
+import java.util.List;
+import java.util.ListIterator;
 
-import eu.dnetlib.clients.index.model.*;
+import eu.dnetlib.clients.index.model.Any;
+import eu.dnetlib.clients.index.model.AnyMap;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.InvalidValueTypeException;
+import eu.dnetlib.clients.index.model.Value;
 
+
 /**
  * Sequence of Any objects.
  */
 public final class AnySeqImpl extends AbstractAny implements AnySeq {
 
-	/**
-	 * version.
-	 */
+	/** version. */
 	private static final long serialVersionUID = 1L;
 
-	/**
-	 * holds the Any objects of this AnySeq.
-	 */
+	/** holds the Any objects of this AnySeq. */
 	private final List<Any> _anyList;
 
 	/**
@@ -28,9 +33,7 @@
 		_anyList = new ArrayList<Any>();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean add(final Any value) {
 		if (value == null) {
@@ -39,17 +42,13 @@
 		return _anyList.add(value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean add(final String e) {
 		return add(new ValueImpl(ValueType.STRING, e));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean add(final Number n) {
 		if (n instanceof Double) {
@@ -63,9 +62,7 @@
 		}
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public void add(final int index, final Any element) {
 		if (element == null) {
@@ -74,57 +71,43 @@
 		_anyList.add(index, element);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean addAll(final Collection<? extends Any> c) {
 		return _anyList.addAll(c);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean addAll(final int index, final Collection<? extends Any> c) {
 		return _anyList.addAll(index, c);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public void clear() {
 		_anyList.clear();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean contains(final Object o) {
 		return _anyList.contains(o);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean containsAll(final Collection<?> c) {
 		return _anyList.containsAll(c);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any get(final int index) {
 		return _anyList.get(index);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any set(final int index, final Any element) {
 		if (element == null) {
@@ -133,121 +116,91 @@
 		return _anyList.set(index, element);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int indexOf(final Object o) {
 		return _anyList.indexOf(o);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isEmpty() {
 		return _anyList.isEmpty();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Iterator<Any> iterator() {
 		return _anyList.iterator();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int lastIndexOf(final Object o) {
 		return _anyList.lastIndexOf(o);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public ListIterator<Any> listIterator() {
 		return _anyList.listIterator();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public ListIterator<Any> listIterator(final int index) {
 		return _anyList.listIterator(index);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any remove(final int index) {
 		return _anyList.remove(index);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean remove(final Object o) {
 		return _anyList.remove(o);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean removeAll(final Collection<?> c) {
 		return _anyList.removeAll(c);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean retainAll(final Collection<?> c) {
 		return _anyList.retainAll(c);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int size() {
 		return _anyList.size();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public List<Any> subList(final int fromIndex, final int toIndex) {
 		return _anyList.subList(fromIndex, toIndex);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Object[] toArray() {
 		return _anyList.toArray();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public <T> T[] toArray(final T[] a) {
 		return _anyList.toArray(a);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public AnyMap getMap(final int index) {
 		final Any anyValue = get(index);
@@ -261,9 +214,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public AnySeq getSeq(final int index) {
 		final Any anyValue = get(index);
@@ -277,9 +228,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value getValue(final int index) {
 		final Any anyValue = get(index);
@@ -293,9 +242,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public String getStringValue(final int index) {
 		final Any anyValue = get(index);
@@ -309,9 +256,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Double getDoubleValue(final int index) {
 		final Any anyValue = get(index);
@@ -325,9 +270,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Long getLongValue(final int index) {
 		final Any anyValue = get(index);
@@ -341,9 +284,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Boolean getBooleanValue(final int index) {
 		final Any anyValue = get(index);
@@ -357,9 +298,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Date getDateValue(final int index) {
 		final Any anyValue = get(index);
@@ -373,9 +312,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Date getDateTimeValue(final int index) {
 		final Any anyValue = get(index);
@@ -389,9 +326,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int hashCode() {
 		final int prime = 31;
@@ -400,9 +335,7 @@
 		return result;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean equals(final Object obj) {
 		if (this == obj) {
@@ -433,30 +366,27 @@
 		return _anyList.toString();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public AnySeq asSeq() {
 		return this;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public List<String> asStrings() {
-		final List<String> values = new ArrayList<>(_anyList.size());
-		values.addAll(_anyList.stream().map(any -> any.asValue().asString()).collect(Collectors.toList()));
+		final List<String> values = new ArrayList<String>(_anyList.size());
+		for (final Any any : _anyList) {
+			values.add(any.asValue().asString());
+		}
 		return values;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public List<Long> asLongs() {
-		return _anyList.stream().map(any -> any.asValue().asLong()).collect(Collectors.toList());
+		final List<Long> values = new ArrayList<Long>(_anyList.size());
+		for (final Any any : _anyList) {
+			values.add(any.asValue().asLong());
+		}
+		return values;
 	}
 
 }
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AnyMapImpl.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AnyMapImpl.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AnyMapImpl.java	(revision 57158)
@@ -1,35 +1,37 @@
 package eu.dnetlib.clients.index.model.impl;
 
-import java.util.*;
+import java.util.Collection;
+import java.util.Date;
+import java.util.Iterator;
+import java.util.LinkedHashMap;
+import java.util.Map;
+import java.util.Set;
 
-import eu.dnetlib.clients.index.model.*;
+import eu.dnetlib.clients.index.model.Any;
+import eu.dnetlib.clients.index.model.AnyMap;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.InvalidValueTypeException;
+import eu.dnetlib.clients.index.model.Value;
 
+
 /**
  * Class implementing AnyMap.
  */
 public final class AnyMapImpl extends AbstractAny implements AnyMap {
 
-	/**
-	 * version.
-	 */
+	/** version. */
 	private static final long serialVersionUID = 1L;
 
-	/**
-	 * internal representation of the AnyMap.
-	 */
+	/** internal representation of the AnyMap. */
 	private final Map<String, Any> _anyMap;
 
-	/**
-	 * Constructs a new AnyMapImpl.
-	 */
+	/** Constructs a new AnyMapImpl. */
 	AnyMapImpl() {
 		super(ValueType.MAP);
 		_anyMap = new LinkedHashMap<String, Any>();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public void add(final String key, final Any value) {
 		final Any any = _anyMap.get(key);
@@ -47,33 +49,25 @@
 		anySeq.add(value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public void clear() {
 		_anyMap.clear();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isEmpty() {
 		return _anyMap.isEmpty();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Set<String> keySet() {
 		return _anyMap.keySet();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any put(final String key, final String value) {
 		try {
@@ -83,9 +77,7 @@
 		}
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any put(final String key, final Number value) {
 		if (value == null) {
@@ -106,17 +98,13 @@
 		}
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any put(final String key, final Boolean value) {
 		return put(key, new ValueImpl(ValueType.BOOLEAN, value));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any put(final String key, final Any value) {
 		if (value == null) {
@@ -125,33 +113,25 @@
 		return _anyMap.put(key, value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int size() {
 		return _anyMap.size();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Collection<Any> values() {
 		return _anyMap.values();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Iterator<Any> iterator() {
 		return _anyMap.values().iterator();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public AnyMap getMap(final String key) {
 		final Any anyValue = get(key);
@@ -165,9 +145,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public AnySeq getSeq(final String key) {
 		final Any anyValue = get(key);
@@ -181,9 +159,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value getValue(final String key) {
 		final Any anyValue = get(key);
@@ -197,9 +173,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public String getStringValue(final String key) {
 		final Any anyValue = get(key);
@@ -213,9 +187,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Double getDoubleValue(final String key) {
 		final Any anyValue = get(key);
@@ -229,9 +201,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Long getLongValue(final String key) {
 		final Any anyValue = get(key);
@@ -245,9 +215,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Boolean getBooleanValue(final String key) {
 		final Any anyValue = get(key);
@@ -261,9 +229,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Date getDateValue(final String key) {
 		final Any anyValue = get(key);
@@ -277,9 +243,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Date getDateTimeValue(final String key) {
 		final Any anyValue = get(key);
@@ -293,9 +257,7 @@
 		return null;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public int hashCode() {
 		final int prime = 31;
@@ -304,9 +266,7 @@
 		return result;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean equals(final Object obj) {
 		if (this == obj) {
@@ -337,65 +297,47 @@
 		return _anyMap.toString();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean containsKey(final Object key) {
 		return _anyMap.containsKey(key);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean containsValue(final Object value) {
 		return _anyMap.containsValue(value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any get(final Object key) {
 		return _anyMap.get(key);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public void putAll(final Map<? extends String, ? extends Any> map) {
 		_anyMap.putAll(map);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any remove(final Object key) {
 		return _anyMap.remove(key);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
-	public Set<Map.Entry<String, Any>> entrySet() {
+	public Set<java.util.Map.Entry<String, Any>> entrySet() {
 		return _anyMap.entrySet();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public AnyMap asMap() {
 		return this;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public AnyMap getMap(final String key, final boolean create) {
 		AnyMap val = getMap(key);
@@ -407,9 +349,6 @@
 
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public AnySeq getSeq(final String key, final boolean create) {
 		AnySeq val = getSeq(key);
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/ImmutableAnyMapImpl.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/ImmutableAnyMapImpl.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/ImmutableAnyMapImpl.java	(revision 57158)
@@ -1,26 +1,31 @@
 package eu.dnetlib.clients.index.model.impl;
 
-import java.util.*;
+import java.util.Collection;
+import java.util.Collections;
+import java.util.Date;
+import java.util.Iterator;
+import java.util.Map;
+import java.util.Set;
 
-import eu.dnetlib.clients.index.model.*;
+import eu.dnetlib.clients.index.model.Any;
+import eu.dnetlib.clients.index.model.Any.ValueType;
+import eu.dnetlib.clients.index.model.AnyMap;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.DataFactory;
+import eu.dnetlib.clients.index.model.Value;
 
+
 /**
  * immutable decorator for an AnyMap.
  */
 public class ImmutableAnyMapImpl implements AnyMap {
 
-	/**
-	 * The underlying anymap.
-	 */
+	/** The underlying anymap. */
 	private final AnyMap _anyMap;
 
-	/**
-	 * The underlying map, as immutable.
-	 */
+	/** The underlying map, as immutable. */
 	private final Map<String, Any> _immutable;
 
-	/**
-	 */
 	public ImmutableAnyMapImpl(AnyMap map) {
 		_anyMap = map;
 		_immutable = Collections.unmodifiableMap(map);
@@ -46,58 +51,31 @@
 		return _anyMap.asValue();
 	}
 
-	/**
-	 * @see Map#clear()
-	 */
 	@Override
 	public void clear() {
 		_immutable.clear();
 	}
 
-	/**
-	 * @param key
-	 * @return
-	 * @see Map#containsKey(Object)
-	 */
 	@Override
 	public boolean containsKey(Object key) {
 		return _immutable.containsKey(key);
 	}
 
-	/**
-	 * @param value
-	 * @return
-	 * @see Map#containsValue(Object)
-	 */
 	@Override
 	public boolean containsValue(Object value) {
 		return _immutable.containsValue(value);
 	}
 
-	/**
-	 * @return
-	 * @see Map#entrySet()
-	 */
 	@Override
-	public Set<Map.Entry<String, Any>> entrySet() {
+	public Set<java.util.Map.Entry<String, Any>> entrySet() {
 		return _immutable.entrySet();
 	}
 
-	/**
-	 * @param o
-	 * @return
-	 * @see Map#equals(Object)
-	 */
 	@Override
 	public boolean equals(Object o) {
 		return _immutable.equals(o);
 	}
 
-	/**
-	 * @param key
-	 * @return
-	 * @see Map#get(Object)
-	 */
 	@Override
 	public Any get(Object key) {
 		return _immutable.get(key);
@@ -168,10 +146,6 @@
 		return _anyMap.getValueType();
 	}
 
-	/**
-	 * @return
-	 * @see Map#hashCode()
-	 */
 	@Override
 	public int hashCode() {
 		return _immutable.hashCode();
@@ -242,12 +216,6 @@
 		return _immutable.keySet();
 	}
 
-	/**
-	 * @param key
-	 * @param value
-	 * @return
-	 * @see Map#put(Object, Object)
-	 */
 	@Override
 	public Any put(String key, Any value) {
 		throw new UnsupportedOperationException();
@@ -273,11 +241,6 @@
 		throw new UnsupportedOperationException();
 	}
 
-	/**
-	 * @param key
-	 * @return
-	 * @see Map#remove(Object)
-	 */
 	@Override
 	public Any remove(Object key) {
 		throw new UnsupportedOperationException();
@@ -288,10 +251,6 @@
 		return _immutable.size();
 	}
 
-	/**
-	 * @return
-	 * @see Map#values()
-	 */
 	@Override
 	public Collection<Any> values() {
 		return _immutable.values();
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/DefaultDataFactoryImpl.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/DefaultDataFactoryImpl.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/DefaultDataFactoryImpl.java	(revision 57158)
@@ -1,27 +1,33 @@
 package eu.dnetlib.clients.index.model.impl;
 
+import static java.lang.String.format;
+
 import java.util.Date;
 import java.util.Iterator;
 import java.util.Map.Entry;
 
-import eu.dnetlib.clients.index.model.*;
+import org.apache.commons.lang3.NotImplementedException;
+
+import eu.dnetlib.clients.index.model.Any;
 import eu.dnetlib.clients.index.model.Any.ValueType;
+import eu.dnetlib.clients.index.model.AnyMap;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.DataFactory;
+import eu.dnetlib.clients.index.model.InvalidValueTypeException;
+import eu.dnetlib.clients.index.model.Value;
+import eu.dnetlib.clients.index.model.ValueFormatHelper;
 
-import static java.lang.String.format;
 
 /**
  * Implementation of DataFactory.
+ * 
  */
 public class DefaultDataFactoryImpl implements DataFactory {
 
-	/**
-	 * instance for sharing.
-	 */
+	/** instance for sharing. */
 	public static final DefaultDataFactoryImpl INSTANCE = new DefaultDataFactoryImpl();
 
-	/**
-	 * immutable empyty map.
-	 */
+	/** immutable empyty map. */
 	public static final AnyMap IMMUTABLE_EMPTY_MAP = new ImmutableAnyMapImpl(INSTANCE.createAnyMap());
 
 	/**
@@ -40,87 +46,65 @@
 		return new AnySeqImpl();
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createStringValue(final String value) {
 		return new ValueImpl(ValueType.STRING, value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createBooleanValue(final Boolean value) {
 		return new ValueImpl(ValueType.BOOLEAN, value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createLongValue(final Long value) {
 		return new ValueImpl(ValueType.LONG, value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createLongValue(final int value) {
 		return new ValueImpl(ValueType.LONG, (long) value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createDoubleValue(final Double value) {
 		return new ValueImpl(ValueType.DOUBLE, value);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createDoubleValue(final float value) {
 		return new ValueImpl(ValueType.DOUBLE, Double.valueOf(value));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createDateValue(final Date value) {
 		return new ValueImpl(ValueType.DATE, new Date(value.getTime()));
 	}
 
-	/**
-	 * create DATE value with original string.
-	 */
+	/** create DATE value with original string. */
 	private Value createDateValue(final Date value, final String originalString) {
 		return new ValueImpl(ValueType.DATE, new DateValue(new Date(value.getTime()), originalString));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value createDateTimeValue(final Date value) {
 		return new ValueImpl(ValueType.DATETIME, new Date(value.getTime()));
 	}
 
-	/**
-	 * create DATETIME value with original string.
-	 */
+	/** create DATETIME value with original string. */
 	private Value createDateTimeValue(final Date value, final String originalString) {
 		return new ValueImpl(ValueType.DATETIME, new DateValue(new Date(value.getTime()), originalString));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value parseFromString(final String value, final String type) {
 		ValueType valueType = null;
@@ -136,9 +120,7 @@
 		return parseFromString(value, valueType);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value parseFromString(final String value, final ValueType valueType) {
 		try {
@@ -156,7 +138,7 @@
 			case STRING:
 				return createStringValue(value);
 			default:
-				throw new InvalidValueTypeException(String.format("not implemented conversion for value %s into %s", value, valueType));
+				throw new NotImplementedException("conversion for type: " + valueType);
 			}
 		} catch (final Exception e) {
 			throw new InvalidValueTypeException(format("cannot convert value %s into %s", value, valueType), e);
@@ -163,9 +145,7 @@
 		}
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value tryDateTimestampParsingFromString(final String value) {
 		final Date timestamp = ValueFormatHelper.INSTANCE.tryParseDateTime(value);
@@ -181,7 +161,7 @@
 
 	/**
 	 * {@inheritDoc}
-	 *
+	 * 
 	 * @deprecated Use {@link #autoConvertValue(Object)} instead
 	 */
 	@Deprecated
@@ -190,9 +170,7 @@
 		return autoConvertValue(object);
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Value autoConvertValue(final Object object) {
 		if (object instanceof Value) {
@@ -220,9 +198,7 @@
 		}
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public Any cloneAny(final Any source) {
 		if (source == null) {
@@ -238,9 +214,7 @@
 		}
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public AnyMap cloneAnyMap(final AnyMap source) {
 		if (source == null) {
@@ -253,9 +227,7 @@
 		return destination;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public AnySeq cloneAnySeq(final AnySeq source) {
 		if (source == null) {
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/DateValue.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/DateValue.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/DateValue.java	(revision 57158)
@@ -10,31 +10,21 @@
  */
 public final class DateValue implements Serializable {
 
-	/**
-	 * serializable.
-	 */
+	/** serializable. */
 	private static final long serialVersionUID = 1L;
 
-	/**
-	 * the actual date or timestamp value.
-	 */
+	/** the actual date or timestamp value. */
 	private final Date _date;
 
-	/**
-	 * the original string, if the date/timestamp value is parsed from a string and not created immediately in Java.
-	 */
+	/** the original string, if the date/timestamp value is parsed from a string and not created immediately in Java. */
 	private final String _originalString;
 
-	/**
-	 * create immediately from a java date.
-	 */
+	/** create immediately from a java date. */
 	DateValue(final Date date) {
 		this(date, null);
 	}
 
-	/**
-	 * create a pair of a date and the string it was parsed from.
-	 */
+	/** create a pair of a date and the string it was parsed from. */
 	public DateValue(final Date date, final String originalString) {
 		super();
 		_date = date;
@@ -41,30 +31,22 @@
 		_originalString = originalString;
 	}
 
-	/**
-	 * @return the date.
-	 */
+	/** @return the date. */
 	public Date getDate() {
 		return _date;
 	}
 
-	/**
-	 * @return {@link Date#getTime()} of the contained date.
-	 */
+	/** @return {@link Date#getTime()} of the contained date. */
 	public long getTime() {
 		return _date.getTime();
 	}
 
-	/**
-	 * @return the original string, if the date was parsed.
-	 */
+	/** @return the original string, if the date was parsed. */
 	public String getOriginalString() {
 		return _originalString;
 	}
 
-	/**
-	 * @return true if an original string is stored.
-	 */
+	/** @return true if an original string is stored. */
 	public boolean hasOriginalString() {
 		return _originalString != null;
 	}
@@ -71,7 +53,7 @@
 
 	/**
 	 * @return true if the other object is a {@link DateValue}, too, and contains an equals date object. The original
-	 * string is not relevant for the comparison.
+	 *         string is not relevant for the comparison.
 	 */
 	@Override
 	public boolean equals(final Object obj) {
@@ -81,17 +63,13 @@
 		return false;
 	}
 
-	/**
-	 * @return hashCode of the contained date object.
-	 */
+	/** @return hashCode of the contained date object. */
 	@Override
 	public int hashCode() {
 		return _date.hashCode();
 	}
 
-	/**
-	 * @return toString of contained date object.
-	 */
+	/** @return toString of contained date object. */
 	@Override
 	public String toString() {
 		return _date.toString();
Index: modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AbstractAny.java
===================================================================
--- modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AbstractAny.java	(revision 57157)
+++ modules/dnet-core-components/branches/saxonHE-SOLR-772/src/main/java/eu/dnetlib/clients/index/model/impl/AbstractAny.java	(revision 57158)
@@ -1,19 +1,23 @@
 package eu.dnetlib.clients.index.model.impl;
 
+import static java.lang.String.format;
+
 import java.io.Serializable;
 
-import eu.dnetlib.clients.index.model.*;
+import eu.dnetlib.clients.index.model.Any;
+import eu.dnetlib.clients.index.model.Any.ValueType;
+import eu.dnetlib.clients.index.model.AnyMap;
+import eu.dnetlib.clients.index.model.AnySeq;
+import eu.dnetlib.clients.index.model.DataFactory;
+import eu.dnetlib.clients.index.model.InvalidValueTypeException;
+import eu.dnetlib.clients.index.model.Value;
 
-import static java.lang.String.format;
-
 /**
  * Basic abstract implementation class for Any.
  */
 public abstract class AbstractAny implements Any, Serializable {
 
-	/**
-	 * because it is serializable.
-	 */
+	/** because it is serializable. */
 	private static final long serialVersionUID = 1L;
 
 	/**
@@ -23,40 +27,33 @@
 
 	/**
 	 * Constructs a new AbstractAny.
-	 *
-	 * @param valueType the type of the AnbstractAny.
+	 * 
+	 * @param valueType
+	 *            the type of the AnbstractAny.
 	 */
 	protected AbstractAny(final ValueType valueType) {
 		_valueType = valueType;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public ValueType getValueType() {
 		return _valueType;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isMap() {
 		return _valueType == ValueType.MAP;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isSeq() {
 		return _valueType == ValueType.SEQ;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isValue() {
 		// return _valueType == ValueType.STRING || _valueType == ValueType.DOUBLE || _valueType == ValueType.BOOLEAN
@@ -64,89 +61,64 @@
 		return _valueType != ValueType.MAP && _valueType != ValueType.SEQ;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isString() {
 		return _valueType == ValueType.STRING;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isDouble() {
 		return _valueType == ValueType.DOUBLE;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isBoolean() {
 		return _valueType == ValueType.BOOLEAN;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isLong() {
 		return _valueType == ValueType.LONG;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isDate() {
 		return _valueType == ValueType.DATE;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isDateTime() {
 		return _valueType == ValueType.DATETIME;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public boolean isNumber() {
 		return _valueType == ValueType.LONG || _valueType == ValueType.DOUBLE;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
+	/** {@inheritDoc} */
 	@Override
 	public DataFactory getFactory() {
 		return DefaultDataFactoryImpl.INSTANCE;
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public Value asValue() {
 		throw new InvalidValueTypeException(format("cannot return a %s as a Value", _valueType));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public AnyMap asMap() {
 		throw new InvalidValueTypeException(format("cannot return a %s as a %s", _valueType, ValueType.MAP));
 	}
 
-	/**
-	 * {@inheritDoc}
-	 */
 	@Override
 	public AnySeq asSeq() {
 		throw new InvalidValueTypeException(format("cannot return a %s as a %s", _valueType, ValueType.SEQ));
